Cards, prop trading & accounting
Set Prop Trader Payout Preference
Sets the calling trader's own payout destination: a bank account or a verified stablecoin wallet route.
POSThttps://api.toku.com/hris/set-prop-trader-payout-preference
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/set-prop-trader-payout-preference' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"bankAccountID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"method": "BANK_TRANSFER",
"cryptoTokenTypeID": "string",
"cryptoOrgNetworkID": "string",
"bankAccountID": "string",
"updatedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
methodanyrequiredbankAccountIDstring<uuid>onboardingCompletionanyResponse
200Successful response
methodstringrequiredAvailable options: BANK_TRANSFER, CRYPTO_WALLET
cryptoTokenTypeIDstring | nullrequiredcryptoOrgNetworkIDstring | nullrequiredbankAccountIDstring | nullrequiredupdatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits